Submitted By: A Benton <andy at linuxfromscratch dot org>
Date: 2011-11-28
Initial Package Version: 4.8.9
Upstream Status: not applicable
Origin: Rediffed DJs patch against nspr-4.8.9
Description: Adds pkg-config file for nspr.


diff -Naur nspr-4.8.9~/mozilla/nsprpub/config/config.mk nspr-4.8.9/mozilla/nsprpub/config/config.mk
--- nspr-4.8.9~/mozilla/nsprpub/config/config.mk	2011-05-03 19:59:07.000000000 +0100
+++ nspr-4.8.9/mozilla/nsprpub/config/config.mk	2011-11-28 12:58:52.718006740 +0000
@@ -175,3 +175,4 @@
 RELEASE_INCLUDE_DIR = $(RELEASE_DIR)/$(BUILD_NUMBER)/$(OBJDIR_NAME)/include
 RELEASE_BIN_DIR = $(RELEASE_DIR)/$(BUILD_NUMBER)/$(OBJDIR_NAME)/bin
 RELEASE_LIB_DIR = $(RELEASE_DIR)/$(BUILD_NUMBER)/$(OBJDIR_NAME)/lib
+RELEASE_PC_DIR = $(RELEASE_LIB_DIR)/pkgconfig
diff -Naur nspr-4.8.9~/mozilla/nsprpub/config/Makefile.in nspr-4.8.9/mozilla/nsprpub/config/Makefile.in
--- nspr-4.8.9~/mozilla/nsprpub/config/Makefile.in	2009-03-03 22:04:23.000000000 +0000
+++ nspr-4.8.9/mozilla/nsprpub/config/Makefile.in	2011-11-28 12:58:52.718006740 +0000
@@ -52,9 +52,10 @@
 
 # autoconf.mk must be deleted last (from the top-level directory)
 # because it is included by every makefile.
-DIST_GARBAGE	= nsprincl.mk nsprincl.sh nspr-config
+DIST_GARBAGE	= nsprincl.mk nsprincl.sh nspr-config nspr.pc
 
 RELEASE_BINS	= nspr-config
+RELEASE_PC	= nspr.pc
 
 include $(topsrcdir)/config/config.mk
 
diff -Naur nspr-4.8.9~/mozilla/nsprpub/config/nspr.pc.in nspr-4.8.9/mozilla/nsprpub/config/nspr.pc.in
--- nspr-4.8.9~/mozilla/nsprpub/config/nspr.pc.in	1970-01-01 01:00:00.000000000 +0100
+++ nspr-4.8.9/mozilla/nsprpub/config/nspr.pc.in	2011-11-28 12:58:52.718006740 +0000
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: NSPR
+Description: The Netscape Portable Runtime
+Version: @MOD_MAJOR_VERSION@.@MOD_MINOR_VERSION@.@MOD_PATCH_VERSION@
+Libs: -L${libdir} -lplds@MOD_MAJOR_VERSION@ -lplc@MOD_MAJOR_VERSION@ -lnspr@MOD_MAJOR_VERSION@ -lpthread 
+Cflags: -I${includedir}
+
diff -Naur nspr-4.8.9~/mozilla/nsprpub/config/rules.mk nspr-4.8.9/mozilla/nsprpub/config/rules.mk
--- nspr-4.8.9~/mozilla/nsprpub/config/rules.mk	2011-07-01 19:42:36.000000000 +0100
+++ nspr-4.8.9/mozilla/nsprpub/config/rules.mk	2011-11-28 12:58:52.718006740 +0000
@@ -206,7 +206,7 @@
 	rm -rf $(wildcard *.OBJ *.OBJD) dist $(ALL_TRASH) $(DIST_GARBAGE)
 	+$(LOOP_OVER_DIRS)
 
-install:: $(RELEASE_BINS) $(RELEASE_HEADERS) $(RELEASE_LIBS)
+install:: $(RELEASE_BINS) $(RELEASE_HEADERS) $(RELEASE_LIBS) $(RELEASE_PC)
 ifdef RELEASE_BINS
 	$(NSINSTALL) -t -m 0755 $(RELEASE_BINS) $(DESTDIR)$(bindir)
 endif
@@ -216,6 +216,9 @@
 ifdef RELEASE_LIBS
 	$(NSINSTALL) -t -m 0755 $(RELEASE_LIBS) $(DESTDIR)$(libdir)/$(lib_subdir)
 endif
+ifdef RELEASE_PC
+	$(NSINSTALL) -t -m 0644 $(RELEASE_PC) $(DESTDIR)$(libdir)/pkgconfig/
+endif
 	+$(LOOP_OVER_DIRS)
 
 release:: export
@@ -267,6 +270,23 @@
 	fi
 	cp $(RELEASE_HEADERS) $(RELEASE_HEADERS_DEST)
 endif
+ifdef RELEASE_PC
+	@echo "Copying pkg-config files to release directory"
+	@if test -z "$(BUILD_NUMBER)"; then \
+		echo "BUILD_NUMBER must be defined"; \
+		false; \
+	else \
+		true; \
+	fi
+	@if test ! -d $(RELEASE_PC_DEST); then \
+		rm -rf $(RELEASE_PC_DEST); \
+		$(NSINSTALL) -D $(RELEASE_PC_DEST);\
+	else \
+		true; \
+	fi
+	cp $(RELEASE_PC) $(RELEASE_PC_DEST)
+endif
+
 	+$(LOOP_OVER_DIRS)
 
 alltags:
diff -Naur nspr-4.8.9~/mozilla/nsprpub/configure nspr-4.8.9/mozilla/nsprpub/configure
--- nspr-4.8.9~/mozilla/nsprpub/configure	2011-07-28 14:08:33.000000000 +0100
+++ nspr-4.8.9/mozilla/nsprpub/configure	2011-11-28 12:58:52.721340007 +0000
@@ -6565,6 +6565,7 @@
 config/nsprincl.mk
 config/nsprincl.sh
 config/nspr-config
+config/nspr.pc
 lib/Makefile 
 lib/ds/Makefile 
 lib/libc/Makefile 
diff -Naur nspr-4.8.9~/mozilla/nsprpub/configure.in nspr-4.8.9/mozilla/nsprpub/configure.in
--- nspr-4.8.9~/mozilla/nsprpub/configure.in	2011-07-28 14:08:33.000000000 +0100
+++ nspr-4.8.9/mozilla/nsprpub/configure.in	2011-11-28 12:58:52.721340007 +0000
@@ -3266,6 +3266,7 @@
 config/nsprincl.mk
 config/nsprincl.sh
 config/nspr-config
+config/nspr.pc
 lib/Makefile 
 lib/ds/Makefile 
 lib/libc/Makefile 
